set -l commands --version -h --help --target= -p --printresult

complete -c ybcon -f -a "(__fish_complete_suffix .ybcon)"
complete -c ybcon -x -s h -l help -d "Print the help screen"
complete -c ybcon -x -l version -d "Print the version"
complete -c ybcon -x -l buildInfo -d "Print informations about how the ybcon executable was built"
complete -c ybcon -l parallel -k -d "Transpile files in parallel mode"
complete -c ybcon -l target -k -f -a 'lua js py' -d "Set the transpilation target"
complete -c ybcon -l newlines -k -f -a 'on off' -d "Enable or disable new lines"
complete -c ybcon -s p -l printresult -d "Enable printing the transpilation result to stdout"
complete -c ybcon -x -s t -l text -d "Transpile text provided after this argument (implies -p)"